SLES 10.3 - Zypper - won't install specific version numbers

06/07/2010 - 09:35 von zedkay | Report spam
Dear all knowledgeable ones,

I have some problems with the syntax for zypper. The systems current
kernel is 2.6.16.60-0.62.1-smp, which may be causing some problems.

HP has asked me to downgrade the kernel to one that they support:
2.6.16.60-0.58.1
I cannot work out how to do this. The kernel is in the repos but zypper
refuses to install it. I have read the man page, but could not see
anyway of specifying a particular version.

I tried with the Yast interface, but could not see any way of even
listing the packages. It only wants to show upgrades... Great. Changing
the filter settings gave no joy.

One can read below why I tried and what did not work.

Does anyone know if this is even possible, or do I have to down the
kernel packages myself and hack these in?

Regards, z.


The kernel-default package is listed:
Code:

zypper se kernel | grep 2.6.16.60-0.58.1
Restoring system sources...
Parsing metadata for SUSE Linux Enterprise Server 10 SP3...
Parsing metadata for SLES10-SP3-Pool...
Parsing metadata for SLES10-SP3-Updates...
v | SLES10-SP3-Updates | atom | kernel-debug |
2.6.16.60-0.58.1 | x86_64
| SLES10-SP3-Updates | package | kernel-debug |
2.6.16.60-0.58.1 | x86_64
v | SLES10-SP3-Updates | atom | kernel-default |
2.6.16.60-0.58.1 | x86_64
| SLES10-SP3-Updates | package | kernel-default |
2.6.16.60-0.58.1 | x86_64
v | SLES10-SP3-Updates | atom | kernel-kdump |
2.6.16.60-0.58.1 | x86_64
| SLES10-SP3-Updates | package | kernel-kdump |
2.6.16.60-0.58.1 | x86_64
v | SLES10-SP3-Updates | atom | kernel-smp |
2.6.16.60-0.58.1 | x86_64
v | SLES10-SP3-Updates | package | kernel-smp |
2.6.16.60-0.58.1 | x86_64
v | SLES10-SP3-Updates | atom | kernel-source |
2.6.16.60-0.58.1 | x86_64
v | SLES10-SP3-Updates | package | kernel-source |
2.6.16.60-0.58.1 | x86_64
v | SLES10-SP3-Updates | atom | kernel-syms |
2.6.16.60-0.58.1 | x86_64
v | SLES10-SP3-Updates | package | kernel-syms |
2.6.16.60-0.58.1 | x86_64
v | SLES10-SP3-Updates | atom | kernel-xen |
2.6.16.60-0.58.1 | x86_64
| SLES10-SP3-Updates | package | kernel-xen |
2.6.16.60-0.58.1 | x86_64

Yet if I try to install it:
zypper in kernel-default 2.6.16.60-0.58.1
Restoring system sources...
Parsing metadata for SUSE Linux Enterprise Server 10 SP3...
Parsing metadata for SLES10-SP3-Pool...
Parsing metadata for SLES10-SP3-Updates...
Parsing RPM database...
package '2.6.16.60-0.58.1' not found
Summary:
<install> [S3:0][package]kernel-default-2.6.16.60-0.66.1.x86_64
Continue? [y/n]:

Or another way:
zypper in kernel-default:2.6.16.60-0.58.1
Restoring system sources...
Parsing metadata for SUSE Linux Enterprise Server 10 SP3...
Parsing metadata for SLES10-SP3-Pool...
Parsing metadata for SLES10-SP3-Updates...
Parsing RPM database...
package 'kernel-default:2.6.16.60-0.58.1' not found


Or another way:
# zypper in kernel-default=2.6.16.60-0.58.1
Restoring system sources...
Parsing metadata for SUSE Linux Enterprise Server 10 SP3...
Parsing metadata for SLES10-SP3-Pool...
Parsing metadata for SLES10-SP3-Updates...
Parsing RPM database...
package 'kernel-default=2.6.16.60-0.58.1' not found


Or another way:
zypper in kernel-default 2.6.16.60-0.58.1.x86_64
Restoring system sources...
Parsing metadata for SUSE Linux Enterprise Server 10 SP3...
Parsing metadata for SLES10-SP3-Pool...
Parsing metadata for SLES10-SP3-Updates...
Parsing RPM database...
package '2.6.16.60-0.58.1.x86_64' not found

Or even:
zypper in kernel-default-2.6.16.60-0.58.1

All failed :(



Best regargs, z.

PS. I have posted this question on the Novell support forum, but ran
into a brick wall.

Please do not reply to my Email address. It is a faux Email address.
Cyberpunk FPS/MMORG www.neocron.com
Runs on Windows, platinum in latest WINE/Ubuntu. Running since 2002.
 

Lesen sie die antworten

#1 Henning Paul
06/07/2010 - 09:47 | Warnen spam
zedkay wrote:

zypper in kernel-default-2.6.16.60-0.58.1



That's the correct command.

All failed :(



Would be nice to know how above command fails.

If you want it quick and dirty, download the kernel-
default-2.6.16.60-0.58.1 rpm file and install it via "rpm -i".

best regards
Henning

Ähnliche fragen